package org.zeroturnaround.javarebel.integration.servlet.util;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;

/**
 * @author Rein Raudjärv
 */
public class MiscUtil {

  public static List removePrefix(String prefix, Collection items) {
    int prefixLength = prefix.length();

    List result = new ArrayList();
    for (Iterator it = items.iterator(); it.hasNext();) {
      String item = (String) it.next();
      if (item.startsWith(prefix)) {
        item = item.substring(prefixLength);
        result.add(item);
      }
    }
    return result;
  }

}
